## aardwolf 0.2.8

=== Makefile ===
clean:
	rm -f -r build/
	rm -f -r dist/
	rm -f -r *.egg-info
	rm -f -r aardwolf/utils/rlers/target/
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f  {} +

publish: clean package
	python3 -m twine upload dist/*

package: clean
	python3 setup.py sdist
	docker pull quay.io/pypa/manylinux2014_x86_64
	docker run --rm -v `pwd`:/io quay.io/pypa/manylinux2014_x86_64 /io/builder/manylinux/build.sh

rebuild: clean
	python3 setup.py install

build:
	python3 setup.py install

## aardwolf 0.2.2

=== debian/changelog ===
aardwolf (0.2.2-0parrot1) lory; urgency=medium

  * Import kali package.
  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 06 Sep 2023 22:38:09 +0200

aardwolf (0.2.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.2.2
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Jan 2023 11:58:03 +0100

aardwolf (0.2.0-0kali1) kali-dev; urgency=medium

  * Initial release
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * New upstream version 0.2.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 11 Oct 2022 10:01:49 +0200

=== debian/control ===
Source: aardwolf
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 librust-byteorder-dev,
 librust-num-enum-dev,
 librust-lazy-static-dev,
 librust-pyo3-dev,
 cargo,
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
 python3-setuptools-rust,
 python3:native,
 python3-asn1crypto,
 python3-pil,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.1
Homepage: https://github.com/skelsec/aardwolf

Package: python3-aardwolf
Architecture: any
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: Asynchronous RDP/VNC client (Python 3)
 This package contains an Asynchronous RDP/VNC client. The features are:
    * Supports credssp auth via NTLM/Kerberos.
    * Built-in proxy client allows SOCKS/HTTP proxy tunneling without 3rd part
      software
    * PtH via CredSSP+Restricted admin mode
    * Scriptable Keyboard, Mouse input and Clipboard input/output
    * Can run in headless mode, no GUI required (read: no need for Qt)
    * Support for Duckyscript files to emulate keystrokes
 .
 This package installs the library for Python 3.

## aardwolf 0.2.8

=== debian/changelog ===
aardwolf (0.2.8-0kali3) kali-dev; urgency=medium

  * Add missing deps

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 08 Nov 2024 14:21:29 +0100

aardwolf (0.2.8-0kali2) kali-dev; urgency=medium

  * Refresh patches
  * Add a patch to fix Syntax Warning
  * Bump Standards-Version to 4.7.0
  * Use older version of pyo3

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 05 Nov 2024 14:58:29 +0100

aardwolf (0.2.8-0kali1) kali-dev; urgency=medium

  * New upstream version 0.2.8
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 19 Apr 2024 09:35:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: aardwolf
 Section: python
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  librust-byteorder-dev,
  librust-num-enum-dev,
  librust-lazy-static-dev,
- librust-pyo3-dev,
+# librust-pyo3-dev,
+ ca-certificates,
  cargo,
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-setuptools-rust,
@@ -19,8 +21,10 @@
  python3-asn1crypto,
  python3-pil,
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/skelsec/aardwolf
+Vcs-Browser: https://gitlab.com/kalilinux/packages/aardwolf
+Vcs-Git: https://gitlab.com/kalilinux/packages/aardwolf.git
 
 Package: python3-aardwolf
 Architecture: any
@@ -28,6 +32,16 @@
  ${python3:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
+ python3-arc4,
+ python3-asn1crypto,
+ python3-asn1tools,
+ python3-asyauth,
+ python3-asysocks,
+ python3-colorama,
+ python3-pil,
+ python3-pyperclip,
+ python3-tqdm,
+ python3-unicrypto
 Description: Asynchronous RDP/VNC client (Python 3)
  This package contains an Asynchronous RDP/VNC client. The features are:
     * Supports credssp auth via NTLM/Kerberos.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk

export PYBUILD_NAME=aardwolf
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export DEB_CARGO_CRATE=rlers_0.0.1

CARGO=/usr/share/cargo/bin/cargo

%:
	dh $@ #--buildsystem=pybuild

execute_after_dh_auto_configure:
	mkdir $(CURDIR)/debian/vendor
	# link-from-system must be the 3rd arg (see
	# /usr/share/cargo/bin/cargo)
#	$(CARGO) prepare-debian $(CURDIR)/debian/vendor --link-from-system --manifest-path aardwolf/utils/rlers/Cargo.toml
	cargo build  --manifest-path aardwolf/utils/rlers/Cargo.toml

override_dh_auto_build:

override_dh_install:
	dh_install -Xtarget/ -Xgitignore -Xdevelstuff -XCargo.lock -Xdtest
	cp aardwolf/utils/rlers/target/debug/librlers.so debian/python3-aardwolf/usr/lib/python3/dist-packages/

execute_after_dh_clean:
	rm -rf $(CURDIR)/debian/vendor

## aardwolf 0.2.13

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 package: clean
 	python3 setup.py sdist
-	docker pull quay.io/pypa/manylinux2014_x86_64
-	docker run --rm -v `pwd`:/io quay.io/pypa/manylinux2014_x86_64 /io/builder/manylinux/build.sh
+#	sudo docker pull quay.io/pypa/manylinux2014_x86_64
+#	sudo docker run --rm -v `pwd`:/io quay.io/pypa/manylinux2014_x86_64 /io/builder/manylinux/build.sh
 
 rebuild: clean
 	python3 setup.py install

=== debian/changelog ===
aardwolf (0.2.13-0parrot1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 23 Sep 2025 15:03:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: aardwolf
 Section: python
 Priority: optional
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -21,10 +21,8 @@
  python3-asn1crypto,
  python3-pil,
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.7.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/skelsec/aardwolf
-Vcs-Browser: https://gitlab.com/kalilinux/packages/aardwolf
-Vcs-Git: https://gitlab.com/kalilinux/packages/aardwolf.git
 
 Package: python3-aardwolf
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk

export PYBUILD_NAME=aardwolf
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export DEB_CARGO_CRATE=rlers_0.0.1

CARGO=/usr/share/cargo/bin/cargo

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_configure:
	mkdir $(CURDIR)/debian/vendor
	# link-from-system must be the 3rd arg (see
	# /usr/share/cargo/bin/cargo)
	$(CARGO) prepare-debian $(CURDIR)/debian/vendor --link-from-system --manifest-path aardwolf/utils/rlers/Cargo.toml

execute_after_dh_clean:
	rm -rf $(CURDIR)/debian/vendor

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%aardwolf-$1.tar.gz%" \
   https://github.com/skelsec/aardwolf/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
